RDKit: ForceFields::MMFF::StretchBendContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::MMFF::StretchBendContrib Class Reference

The angle-bend term for MMFF. More...

`#include <StretchBend.h>`

Inheritance diagram for ForceFields::MMFF::StretchBendContrib:

## Public Member Functions
| StretchBendContrib ()
| StretchBendContrib (ForceField *owner)
| Constructor.
void | addTerm (const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const MMFFStbn *mmffStbnParams, const MMFFAngle *mmffAngleParams, const MMFFBond *mmffBondParams1, const MMFFBond *mmffBondParams2)
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
StretchBendContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

The angle-bend term for MMFF.

Definition at line 27 of file StretchBend.h.

## Constructor & Destructor Documentation

## ◆ StretchBendContrib() [1/2]

ForceFields::MMFF::StretchBendContrib::StretchBendContrib | ( |  | ) |
| inline

Definition at line 29 of file StretchBend.h.

Referenced by copy().

## ◆ StretchBendContrib() [2/2]

ForceFields::MMFF::StretchBendContrib::StretchBendContrib | ( | ForceField * | owner | ) |

Constructor.

References ForceFields::ForceFieldContrib::ForceField.

## Member Function Documentation

## ◆ addTerm()

void ForceFields::MMFF::StretchBendContrib::addTerm | ( | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const MMFFStbn * | mmffStbnParams,
|  | const MMFFAngle * | mmffAngleParams,
|  | const MMFFBond * | mmffBondParams1,
|  | const MMFFBond * | mmffBondParams2 )

Adds a stretch-bend term to the force field contrib.

The angle is between atom1 - atom2 - atom3

Parameters

  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  angleType | MMFF type of the angle (as an unsigned int)

## ◆ copy()

StretchBendContrib * ForceFields::MMFF::StretchBendContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 49 of file StretchBend.h.

References StretchBendContrib().

## ◆ getEnergy()

double ForceFields::MMFF::StretchBendContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::MMFF::StretchBendContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- StretchBend.h